Next: Fortran Dialect Options, Up: Invoking GNU Fortran [Contents][Index]

### 2.1 Option summary

Here is a summary of all the options specific to GNU Fortran, grouped by type. Explanations are in the following sections.

Fortran Language Options

  See Options controlling Fortran dialect.

      -fall-intrinsics -fbackslash -fcray-pointer -fd-lines-as-code
      -fd-lines-as-comments -fdefault-double-8 -fdefault-integer-8
      -fdefault-real-8 -fdollar-ok -ffixed-line-length-n
      -ffixed-line-length-none -ffree-form -ffree-line-length-n
      -ffree-line-length-none -fimplicit-none -finteger-4-integer-8
      -fmax-identifier-length -fmodule-private -fno-fixed-form -fno-range-check
      -fopenmp -freal-4-real-10 -freal-4-real-16 -freal-4-real-8
      -freal-8-real-10 -freal-8-real-16 -freal-8-real-4 -std=std

Preprocessing Options

  See Enable and customize preprocessing.

      -A-question[=answer]
      -Aquestion=answer -C -CC -Dmacro[=defn]
      -H -P
      -Umacro -cpp -dD -dI -dM -dN -dU -fworking-directory
      -imultilib dir
      -iprefix file -iquote -isysroot dir -isystem dir -nocpp
      -nostdinc
      -undef

Error and Warning Options

  See Options to request or suppress errors and warnings.

      -Waliasing -Wall -Wampersand -Warray-bounds
      -Wc-binding-type -Wcharacter-truncation
      -Wconversion -Wfunction-elimination -Wimplicit-interface
      -Wimplicit-procedure -Wintrinsic-shadow -Wintrinsics-std
      -Wline-truncation -Wno-align-commons -Wno-tabs -Wreal-q-constant
      -Wsurprising -Wunderflow -Wunused-parameter -Wrealloc-lhs -Wrealloc-lhs-all
      -Wtarget-lifetime -fmax-errors=n -fsyntax-only -pedantic -pedantic-errors

Debugging Options

  See Options for debugging your program or GNU Fortran.

      -fbacktrace -fdump-fortran-optimized -fdump-fortran-original
      -fdump-parse-tree -ffpe-trap=list -ffpe-summary=list

Directory Options

  See Options for directory search.

      -Idir  -Jdir -fintrinsic-modules-path dir

Link Options

  See Options for influencing the linking step.

      -static-libgfortran

Runtime Options

  See Options for influencing runtime behavior.

      -fconvert=conversion -fmax-subrecord-length=length
      -frecord-marker=length -fsign-zero

Code Generation Options

  See Options for code generation conventions.

      -faggressive-function-elimination -fblas-matmul-limit=n
      -fbounds-check -fcheck-array-temporaries
      -fcheck=<all|array-temps|bounds|do|mem|pointer|recursion>
      -fcoarray=<none|single|lib> -fexternal-blas -ff2c
      -ffrontend-optimize
      -finit-character=n -finit-integer=n -finit-local-zero
      -finit-logical=<true|false>
      -finit-real=<zero|inf|-inf|nan|snan>
      -fmax-array-constructor=n -fmax-stack-var-size=n
      -fno-align-commons
      -fno-automatic -fno-protect-parens -fno-underscoring
      -fsecond-underscore -fpack-derived -frealloc-lhs -frecursive
      -frepack-arrays -fshort-enums -fstack-arrays

Next: Fortran Dialect Options, Up: Invoking GNU Fortran [Contents][Index]